package com.yonge.cooleshow.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 课程计划表(CoursePlan)表实体类
 *
 * @author hgw
 * @since 2022-03-23 14:35:20
 */
@ApiModel(value = "course_plan-课程计划表")
public class CoursePlan implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("course_group_id_")
    @ApiModelProperty(value = "课程组id")
    private Long courseGroupId;

    @TableField("class_num_")
    @ApiModelProperty(value = "课堂编号-第几堂课")
    private Integer classNum;

    @TableField("plan_")
    @ApiModelProperty(value = "教学计划/最多200字")
    private String plan;

    @TableField("created_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }

    public Integer getClassNum() {
        return classNum;
    }

    public void setClassNum(Integer classNum) {
        this.classNum = classNum;
    }

    public String getPlan() {
        return plan;
    }

    public void setPlan(String plan) {
        this.plan = plan;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

}

